For the complete documentation index, see llms.txt. This page is also available as Markdown.

Export SIM locations as a KMZ file

Returns a compressed Keyhole Markup Language (KMZ) file detailing the Google Earth location of one or more SIMs. Install Google Earth or Google My Maps to import the file and view the mapped locations.

Limit each request to a maximum of 10 ICCIDs to reduce load on the server.

In Postman, test the request using Send before you use Send and Download.

Optional fields

Send null without quotes for any object you do not want to set. The value remains as previously set. To set a new value, replace null with the value in quotes. To remove an existing value, send an empty string.

post
Authorizations
PHPSESSIDstringRequired

The session cookie established when the user logs in. Sent as Cookie: PHPSESSID=<CookieNumber>.

The Location API username and password are sent separately, in the request body of each call.

Body
usernamestringRequired

The Eseye-assigned Location API username.

Example: ExampleUsername
passwordstring · passwordRequired

The Eseye-assigned Location API password.

Example: ExamplePassword
request_idstringOptional

A request identifier for tracking responses.

Example: 1
groupstringOptional

The group name for the SIMs. If left blank, the request is not limited to a group.

Example: ExampleGroup
iccidstring[] · max: 10Optional

The list of one or more SIMs that you want to locate, by Integrated Circuit Card Identifier. Search for a maximum of 10 ICCIDs in one request to reduce the load on the server.

Example: ["8944500000000000000","8944500000000000001","8944500000000000002"]
Responses
200

A compressed KML file containing the mapped SIM locations. Add a .kml extension to the file name when you save it, then import the file into Google Earth or Google My Maps to view the SIM locations.

A request that fails returns a JSON body instead of the file. Check status.status to determine whether the export succeeded.

string · binaryOptional
post/index/kmz
POST /index/kmz HTTP/1.1
Host: location.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 175

{
  "request_id": "1",
  "username": "ExampleUsername",
  "password": "ExamplePassword",
  "group": "ExampleGroup",
  "iccid": [
    "8944500000000000000",
    "8944500000000000001",
    "8944500000000000002"
  ]
}
200

A compressed KML file containing the mapped SIM locations. Add a .kml extension to the file name when you save it, then import the file into Google Earth or Google My Maps to view the SIM locations.

A request that fails returns a JSON body instead of the file. Check status.status to determine whether the export succeeded.

binary

Last updated

Was this helpful?